algebra-3.1: Constructive abstract algebra

Safe Haskell | None

Numeric.Ring.Opposite

Synopsis

- newtype Opposite r = Opposite {
  - runOpposite :: r
  }

# Documentation

newtype Opposite r Source

http:en.wikipedia.orgwikiOpposite_ring

Constructors

Opposite |

Fields

runOpposite :: r

Instances

Functor Opposite |
Foldable Opposite |
Traversable Opposite |
Traversable1 Opposite |
Foldable1 Opposite |
LeftModule r s => RightModule r (Opposite s) |
RightModule r s => LeftModule r (Opposite s) |
Eq r => Eq (Opposite r) |
Ord r => Ord (Opposite r) |
Read r => Read (Opposite r) |
Show r => Show (Opposite r) |
Idempotent r => Idempotent (Opposite r) |
Abelian r => Abelian (Opposite r) |
Additive r => Additive (Opposite r) |
Monoidal r => Monoidal (Opposite r) |
Semiring r => Semiring (Opposite r) |
Multiplicative r => Multiplicative (Opposite r) |
Group r => Group (Opposite r) |
Unital r => Unital (Opposite r) |
Band r => Band (Opposite r) |
Division r => Division (Opposite r) |
DecidableAssociates r => DecidableAssociates (Opposite r) |
DecidableUnits r => DecidableUnits (Opposite r) |
DecidableZero r => DecidableZero (Opposite r) |
Rig r => Rig (Opposite r) |
Ring r => Ring (Opposite r) |
Commutative r => Commutative (Opposite r) |
Semiring r => RightModule (Opposite r) (Opposite r) |
Semiring r => LeftModule (Opposite r) (Opposite r) |